Bug 182357 - XDMCP slow on startup, hangs indefinitely on logout
XDMCP slow on startup, hangs indefinitely on logout
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 182858 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-21 18:33 EST by jmw
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 07:04:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmw 2006-02-21 18:33:08 EST
Description of problem:
using Exceed 9 Xserver on Win2k to kernel 1831SMP_FC4.  initial display on Win2k
box is very slow to complete.  session logout process hangs, no response after
waiting 5 minutes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Win2K up and running.  FC4 up and running.  start XDMCP broadcast from Win2K
2. Win2K menu is displayed, choose FC4 machine, FC4 login is displayed, login,
Gnome desktop is displayed on Win2k box after 3 - 4 minutes (should be less than
a minute).
3. click on logout icon in top menu bar
Actual results:
System appears to hang -- there is network activity between the Win2k and FC4
box, but the open X-window for the Exceed FC4 session does not change and no
logout option menu is displayed, after waiting for more than 5 minutes.  both
boxes are on the same sub-net, and maximum line length is less than 50 feet.

Expected results:
click on Logout icon, display dims slightly and a logout option menu is displayed.

Additional info:
XDMCP was working normally between the Win2k box and FC4 box several kernel
versions ago.  i don't normally use XDMCP, and have not checked this
funcitionality in a while.
Comment 1 Jason Vas Dias 2006-02-27 13:30:11 EST
*** Bug 182858 has been marked as a duplicate of this bug. ***
Comment 2 Mike A. Harris 2006-02-27 14:21:40 EST
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Mike A. Harris 2006-03-07 07:04:54 EST
Closing bug due to lack of response, however if an upstream bug report has
been filed with X.Org, Red Hat will track the issue there if the report
is updated with the X.Org bug URL and reopened.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.